/* Download font 'Poppins' from the internet */
/* If you'd like, you could use your own font. Please go to https://fonts.google.com/ and choose your favourite */
@import url("https://fonts.googleapis.com/css2?family=Open+Sans&family=Poppins:wght@300;400;500;700&display=swap");

/* This is called CSS Custom Properties */
/* https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_custom_properties */
:root {
  --main-bg-color: #dbac74;
  --color-black: #383838;
  --color-white: #ffffff;
  --color-main: #5e659d;
  --color-orange: #dbac74;
}

/* COMMON PAGE STYLES */
html {
  /* Apply download font "Poppins" by setting that on the first position in a row */
  font-family: "Poppins", sans-serif;
  font-size: 16px;
  background-color: var(--main-bg-color);
  color: var(--color-white);
}

.body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.container {
  max-width: 1600px;
  margin: 0 auto;
  padding: 0 15px;
}

h1 {
  font-weight: 400;
  margin: 0;
  font-size: 54px;
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

li a {
  text-decoration: none;
  color: var(--color-white);
}

.btn {
  border-radius: 10px;
  background: var(--color-main);
  border: none;
  padding: 10px 15px;
  color: #fff;
  text-align: center;
  font-size: 18px;
}

.nav-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  column-gap: 30px;
  row-gap: 10px;
}

.nav-list__item {
  font-size: 20px;
}

.logo {
  position: relative;
  text-decoration: none;
  color: var(--color-white);
  display: flex;
  align-items: center;
  width: min-content;
  font-size: 20px;
}

.logo img {
  width: 70px;
  height: 70px;
}

.logo span {
  margin-left: -25%;
}

/* header */
.header {
  padding: 20px 0;
}

.header__content {
  display: flex;
  flex-flow: wrap;
  justify-content: center;
  gap: 10px;
}

.header__content .nav {
  align-self: center;
}

/* main */
.split-content {
  display: flex;
  flex-flow: column;
}

.split-content img {
  object-fit: contain;
  width: 100%;
  height: 100%;
}

/* footer */
.footer {
  padding: 20px 0;
}

.nav-list--footer {
  column-gap: 40px;
}

.nav-list--footer .nav-list__item {
  font-size: 16px;
}

@media screen and (min-width: 960px) {
  h1 {
    font-size: 110px;
  }

  .btn {
    border-radius: 20px;
    padding: 20px 35px;
    font-size: 40px;
  }
  .container {
    padding: 0 20px;
  }

  .nav-list {
    column-gap: 60px;
    justify-content: flex-start;
  }

  .nav-list__item {
    font-size: 32px;
  }

  .nav-list--footer {
    column-gap: 80px;
  }

  .nav-list--footer .nav-list__item {
    font-size: 20px;
  }

  .btn-group {
    display: flex;
    justify-content: space-around;
  }

  /* header */
  .header {
    padding: 40px 0;
  }

  .header__content {
    justify-content: flex-start;
    gap: 15px;
  }

  .logo {
    font-size: 40px;
    max-width: 160px;
  }

  .logo img {
    width: 100px;
    height: 100px;
  }

  .logo span {
    margin-left: -35%;
  }

  /* main */
  .main p {
    margin: 0 0 30px;
    font-size: 34px;
  }

  .content {
    text-align: center;
    width: max-content;
  }

  .split-content {
    flex-flow: row;
    justify-content: space-between;
  }

  .split-content__content + .image {
    max-width: 512px;
  }

  .main--feature .content {
    max-width: 955px;
    display: inline-grid;
    align-items: center;
  }

  .main--feature h1 {
    font-size: 96px;
  }
}
